[extraCSS][noLeftNav][noRightNav][upperScripts][errMsgStyle] [blank]
[version]
[logo] [topNav] [leftNav] [main] [rightNav] [footer]
[lowerScripts]
Individual sections are placed after this section. This comment should NEVER be visible on any page! [blank]
[pageTitleInfo]
[blank]
You don't even have to place documentation within comment tags, since the sections between the start and end section tags are the only parts of the template that are displayed. [blank]
[blank]
[errMsg]
[divDecoration]
[mainTitle]
[mainContent]
[blank]
[blank]
[blank]
[blank]
- [divDecoration] [linkLabel]
[blank]
[blank]
[divDecoration] My Program-O
[blank]
[blank]
[blank]
[blank]
[blank]
[errorMessage]
[blank]
Login
Username:
Password:
[blank]
Change Active Bot
Bot ID: (Not Editable)
[blank]

Bot Name |
Bot Active |
Response Format |
Unknown User |
Debug Email Address |
Default Pickup Line Pattern |
Error Response Message |
The chatbot "[bot_name]" has [aiml_count] AIML categories in the database.

Bot Description | [bot_desc]
Bot Parent Name |
Save State |
Bot History Lines |
Chat Lines To Display |
Debug Mode |
Debug Level |
GitHub Branch to Check for Updates* |

*Chooses the update branch on GitHub to check against the current install's version.
[blank]
[row_label]:
[blank]
[bot_name]'s Conversation Logs

[convo]

[blank]
[bot_name]'s Unknown Inputs

[unk_inp]

[blank]
Add a Misspelled word and it's correction:
Misspell:
Correction:
[blank]
The Spell checker addon is [sc_enabled]
Note: To enable or disable the spell checker, you will need to edit the config file. Please see the README file in the chatbot/addons/spell_checker folder for more details.
Search for a Misspelled word:
[blank]
Edit the entry for the Misspelled word [missspelling]:
Misspelling:
Correction:
[blank]
Add an improper word and it's replacement:
Bad word:
Replacement:
[blank]
Search for an improper word:
[blank]
Edit the entry for the improper word [word_to_censor]:
Bad Word:
Replacement:
[blank]
[teach_content]
[showHelp]
[blank]
Filename:
Topic:
Previous Bot Response (THAT):
User Input:
Bot Response:
For help, click the icon in the title, above.
[blank]

### Help...

  Adding a 'Topic' means that the bot will only be able to access this response if a previous aiml category has set this topic as it's current topic.
  The 'Previous Bot Response' means that the bot must have answered with this text in it's last response.
  The 'User Input' is the the users input used to access the bots response.
  The 'Bot Response' is the text the bot will output when the 'user Input' has been matched.

### Simple Example

  User input: hello how are you
  Bot Response: I am well thank you and you?

### Intermediate example:

  Previous Bot Response: I am well thank you and you
  User input: ok thanks
  Bot Response: That is great to hear

### Advanced example:

  1. First response MUST set the topic
  User input: I like chatbots
  Bot Response: What do you like about them? <set topic="chatbots">
  2. Second pattern can only be accessed because the topic has been set in the previous response
  Topic: chatbots
  User input: I just think they are cool
  Bot Response: Yes chatbots are cool
You can find alot of information on the net about writing well formed aiml.
If you want to learn more about writing AIML start here .
[blank]

## Help...

### General/Searching

  Using the search/edit page is fairly straightforward. The page displays all of the available categories for the selected chatbot 10 categories at a time by default, with options for displaying more, via a selectbox in the upper lef corner of the main panel, up to 100 categories max. If the chatbot has more than 100 categories total in the database, there is a set of links for additional pages in the lower right corner of the panel, so that all stored AIML categories are accessible. The categories can be sorted by any of the visible fields, simply by clicking on the header titles along the top of the table.
  In order to quickly find the AIML category that you're looking for, simply use the search boxes along the top, just below the field titles. Any combination of search fields can be used at any time to help narrow the search.

### Editing

  Editing can be accomplished by simply clicking on the desired field and changing the contents of that field to suit your needs. You can cancel the edit at any time by pressing the Escape ([ESC]) key, or by "clicking off" the field without making any changes. To save your edit, simply "click off" the field once you're satisfied with the changes you've made. Please note, however, that the new AIML code that was saved is NOT checked for valid AIML code prior to saving, so it's up to you to make sure that the edited code is valid.

### Deleting a Category (row)

  In order to delete an AIML category from the database, simply locate it using the search functionality, then click on the DELETE icon () to the left of the category. You will get a confirmation dialog prior to the deletion. WARNING! Once you confirm that you want to delete the category, there is no going back! once deleted, that AIML category is gone and can only be "brought back" by creating a new one in it's place.
--You can find alot of information on the net about writing well formed aiml.
--If you want to learn more about writing AIML start here.
[blank]

### Help...

  This area allows you remove individual or ALL aiml entries for a specific bot.
  Ideal if you want to start again with a blank chatbot and repopulate via the upload panel.
  BUT BE WARNED: This operation can not be undone so use with care.
  --Ensure that the current bot is the correct bot.
  --Select 'Clear categories from this AIML file' and choose the aiml file from the drop down.
  --Or select 'Clear ALL AIML categories (Purge database)'.
  --Then press 'Submit' to delete the entries for that file.
[blank]

### Help...

  This area allows you edit or add users to the admin account area.
  --Select a current user.
  --Or enter the details for a new user.
  --Then press 'Save' to update the user.
  --Or press 'Delete' to remove the user.
[blank]

### Help...

  If your aiml file will not upload you may want to check the following.
  --Make sure the folder you are trying to upload to has read/write privs on it (CHMOD 755)
  --Remove any comments from the aiml
  --Replace everything above the first <cattegory> with a simple <aiml> tag
--You can find alot of information on the net about writing well formed aiml.
--If you want to learn more about writing AIML start here.
[blank]

### Help...

  First, choose whether to download the files as AIML files (the default action) or as SQL files. Once you've made all of your selections, simply click the Download button, and your request will be processed. This processing should take only a few seconds. A link will be given on the off chance that your file doesn't pop up for downloading.
[blank] [blank]

[rssRowTitle]

[rssRowContent]

[blank]
[showHide] Logo
[blank]
[editScriptTag]
[blank]
[blank]
[blank]
Talk to [bot_name] using the [format] interface:
[blank]
Database Stats for [dbn]

Uptime: [stats_uptime]

Threads: [stats_threads]

Queries: [stats_query_count]

Slow queries: [stats_slow_queries]

Flush table count: [stats_flush_count]

Tables Opened: [stats_tables_open]

Queries per second avg: [stats_qps]

[blank]

Here's where you add, remove or edit admin accounts.

[members_list_form] [members_content]
[showHelp]
[blank]

[action] Admin Account:

Account ID: (not editable)
Login Name:
Password:
Confirm Password:
[blank]
Current Admins:
[blank]

Use this uploader to add AIML categories to your chatbot's database. You have the option to upload either individual AIML files, or ZIP archive files of up to [fs_limit_title] in size. This uploader no longer performs XML validation, so you need to validate your AIML files prior to uploading them. It's STRONGLY SUGGESTED that you use either W3School's XML Validator, or the Program O AIML Validator. There are other XML validators available, but the W3Schools validator works well, and the Program O Validator is specifically designed to validate AIML files. Please note, however, that neither of the above mentioned validators will work with zip files.

[upload_content]

List of Currently Stored AIML files for [bot_name]:
[AIML_List]

[showHelp]
[blank]

File: | Clear the database of entries from this file
Apply this file to this bot: | Skip AIML Validation for this file

[blank]
The SRAI lookup table currently contains [row_count] entries for the chatbot named "[bot_name]".

Fill Lookup Table (See the HELP link for details)

ID | Bot ID | Pattern | Template ID
--- | --- | --- | ---

Add New SRAI Entry:

[showHelp] [blank]

## Help...

### General

  The "Fill Lookup Table" link runs a script that searches the entire AIML table for SRAI calls for every chatbot and stores valid entries (along with the bot ID and the IDs of categories with matching patterns) into a special lookup table. The chatbot engine then uses this lookup table to select the proper response for that SRAI call without having to search through the entire database for a "best match". This can improve performance by as much as 70% for each SRAI call made that is in the lookup table. Since the script runs for all current chatbots, you only have to run it once for all of your bots. Just remember to run it again if you make any significant changes to your AIML, especially if you add or remove a chatbot. You don't have to worry about duplicates because the script starts by emptying the lookup table first, and then uses a routine that rejects duplicates on a per-bot basis.
  The table and forms on the page are to help with searching for, editing, and inserting new entries within the srai_lookup table. These aids are here mainly because the script that automatically inserts entries into the table is far from perfect, and can often miss entries due to SRAI calls that contain other AIML tags. The use of these tools requires a great deal of knowledge regarding the content of the chatbot's AIML, and should be used with caution until you become proficient with the ins and outs of your chatbot's AIML code.

### Warning:

  Please note that if you have any manually edited entries in the srai_lookup table and run the script to populate the table anew, all of those manually added entries will be lost. So before you run the script to repopulate the table, you should use a database manager (such as phpMyAdmin) to back up those entries.

### Editing

  Editing can be accomplished by simply clicking on the desired field and changing the contents of that field to suit your needs. You can cancel the edit at any time by pressing the Escape ([ESC]) key, or by "clicking off" the field without making any changes. To save your edit, simply "click off" the field once you're satisfied with the changes you've made. Please note, however, that the new AIML code that was saved is NOT checked for valid AIML code prior to saving, so it's up to you to make sure that the edited code is valid.

### Deleting a Category (row)

  In order to delete an SRAI entry from the database, simply locate it using the search functionality, then click on the DELETE icon () to the left of the category. You will get a confirmation dialog prior to the deletion. WARNING! Once you confirm that you want to delete the category, there is no going back! once deleted that AIML category is gone, and can only be "brought back" by creating a new one in it's place.
[blank]

## [bot_name]'s Stats

Conversations:
Today: [oneday]
Last week: [oneweek]
Last month: [onemonth]
Last six months: [sixmonths]
Last year: [oneyear]
All time: [alltime]
Conversation Lines:
Single line: [singlelines]
1-25 lines: [alines]
25-50 lines: [blines]
51-100 lines: [clines]
101+ lines: [dlines]
Average: [avg]
[blank]

## 1st to 2nd/2nd to 1st transforms

This page is under construction!

[blank]

ID | Pattern | thatpattern | Template | Topic | Filename
--- | --- | --- | --- | --- | ---

Add new AIML Category:
|  |  |  |  | admin_added.aiml |

[showHelp] [blank]

ID | User ID | Pattern | thatpattern | Template
--- | --- | --- | --- | ---

[showHelp] [blank]

[thead_content]
[tfoot_content]
[tbody_content]

[blank]
Please select the AIML files you wish to download from the selections below.

Download files as AIML | Select all files | Download files as SQL
[file_checkboxes]

[status]
[showHelp]
[blank]
[blank]
Deleting AIML categories from the database is permanent! This action CANNOT be undone!

Clear categories from this AIML file: | Clear ALL AIML categories for [bot_name]

[showHelp]
[blank]

Your Name: | Your Email Address: | Subject:
Message:
Use this handy form to submit a bug report to Liz and Company over at the Program O website. Please describe the problem as completely as possible, including what actions you were trying to perform at the time that you noticed the problem. |  | Answer the question you see in the image on the left into the text area below. We are looking for a one word answer (no numbers). Sorry, but bots are not allowed.